From 0fb74b2889c7a4bfa192d36e2618a42d7c4d171c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 3 Jun 2019 14:31:46 +0200
Subject: [PATCH] cargo: fix build

build fails on musl with more recent versions of the libc crate
---
 srcpkgs/cargo/template | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/cargo/template b/srcpkgs/cargo/template
index 5598a5a693e..dd237fb4c78 100644
--- a/srcpkgs/cargo/template
+++ b/srcpkgs/cargo/template
@@ -1,7 +1,7 @@
 # Template file for 'cargo'
 pkgname=cargo
 version=0.36.0
-revision=1
+revision=2
 build_helper=rust
 hostmakedepends="rust python curl cmake pkg-config"
 makedepends="libcurl-devel libgit2-devel"
@@ -100,6 +100,8 @@ do_build() {
 		cargo="./cargo"
 	fi
 
+	$cargo update
+	$cargo update --package libc --precise 0.2.55
 	$cargo build --release $(vopt_if static --features="all-static")
 }
 
